View Issue Details

IDProjectCategoryView StatusLast Update
0025407LazarusWidgetsetpublic2013-12-13 15:05
ReporteraccSoneAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformdarwin x86_64OSOSXOS Version10.6.8
Product Version1.3 (SVN)Product Build 
Target Version1.3 (SVN)Fixed in Version1.3 (SVN) 
Summary0025407: MouseMove with pressed mouse button is not received in TFrame with Cocoa Widgetset (fix attached)
DescriptionMouseMove is not received because Cocoa sends MouseDragged for TCocoaCustomControl if mouse buton is pressed
Steps To ReproduceCreate TForm with control that reacts on mouse move message. Place TFrame on a Form and compile with Cocoa Widgetset. MouseMove is not received.
TagsNo tags attached.
Fixed in Revision43536
LazTarget-
WidgetsetCocoa
Attached Files
  • fix_0025407.patch (501 bytes)
    Index: /Developer/lazarus_trunc/lcl/interfaces/cocoa/cocoaprivate.pp
    ===================================================================
    --- /Developer/lazarus_trunc/lcl/interfaces/cocoa/cocoaprivate.pp	(revision 43494)
    +++ /Developer/lazarus_trunc/lcl/interfaces/cocoa/cocoaprivate.pp	(working copy)
    @@ -1269,6 +1276,7 @@
     
     procedure TCocoaCustomControl.mouseDragged(event: NSEvent);
     begin
    +if not Assigned(callback) or not callback.MouseMove(event) then
       inherited mouseDragged(event);
     end;
     
    
    
    fix_0025407.patch (501 bytes)

Activities

accSone

2013-12-07 19:09

developer  

fix_0025407.patch (501 bytes)
Index: /Developer/lazarus_trunc/lcl/interfaces/cocoa/cocoaprivate.pp
===================================================================
--- /Developer/lazarus_trunc/lcl/interfaces/cocoa/cocoaprivate.pp	(revision 43494)
+++ /Developer/lazarus_trunc/lcl/interfaces/cocoa/cocoaprivate.pp	(working copy)
@@ -1269,6 +1276,7 @@
 
 procedure TCocoaCustomControl.mouseDragged(event: NSEvent);
 begin
+if not Assigned(callback) or not callback.MouseMove(event) then
   inherited mouseDragged(event);
 end;
 

fix_0025407.patch (501 bytes)

Issue History

Date Modified Username Field Change
2013-12-07 19:06 accSone New Issue
2013-12-07 19:09 accSone File Added: fix_0025407.patch
2013-12-09 02:33 Paul Ishenin Assigned To => Paul Ishenin
2013-12-09 02:33 Paul Ishenin Status new => assigned
2013-12-13 10:49 accSone Assigned To Paul Ishenin => accSone
2013-12-13 11:34 accSone LazTarget => -
2013-12-13 11:34 accSone Status assigned => resolved
2013-12-13 11:34 accSone Fixed in Version => 1.3 (SVN)
2013-12-13 11:34 accSone Resolution open => fixed
2013-12-13 11:38 accSone Assigned To accSone => Paul Ishenin
2013-12-13 11:38 accSone Status resolved => assigned
2013-12-13 15:05 accSone Fixed in Revision => 43536
2013-12-13 15:05 accSone Status assigned => resolved
2013-12-13 15:05 accSone Target Version => 1.3 (SVN)